### org.jfree.layouting.renderer

# Class ChainingRenderer

- `java.lang.Object`
- - `org.jfree.layouting.util.ChainingComponent`
  - - `org.jfree.layouting.renderer.ChainingRenderer`

Implemented Interfaces:
  Renderer, StatefullComponent

`public class ChainingRenderer`
`extends ChainingComponent`
`implements Renderer`

Creation-Date: 16.06.2006, 14:49:14

Author:
  Thomas Morgner

  ## Nested Class Summary

  ### Nested classes/interfaces inherited from class org.jfree.layouting.util.ChainingComponent

  `ChainingComponent.RecordedCall`

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.util.ChainingComponent

  `STATE_DONE`, `STATE_ERROR`, `STATE_FRESH`

  ## Constructor Summary

  `ChainingRenderer(Renderer renderer)`

  ## Method Summary

  `void`

  `addContent(LayoutContext context, ContentToken content)`

  `void`

  `addPassThroughContent(LayoutContext context, ContentToken content)`

  `void`

  `finishedBlock()`

  `void`

  `finishedDocument()`

  `void`

  `finishedFlow()`

  `void`

  `finishedInline()`

  `void`

  `finishedMarker()`

  `void`

  `finishedPassThrough()`

  `void`

  `finishedRootInline()`

  `void`

  `finishedTable()`

  `void`

  `finishedTableCaption()`

  `void`

  `finishedTableCell()`

  `void`

  `finishedTableColumn()`

  `void`

  `finishedTableColumnGroup()`

  `void`

  `finishedTableRow()`

  `void`

  `finishedTableSection()`

  `Renderer`

  `getRenderer()`

  `void`

  `handlePageBreak(PageContext pageContext)`
    A call-back that informs the renderer, that a new page must be started.

  `protected void`

  `invoke(Object target, int methodId, Object parameters)`

  `State`

  `saveState()`

  `void`

  `startedBlock(LayoutContext context)`

  `void`

  `startedDocument(PageContext pageContext)`
    Starts the document and initalizes the default page context.

  `void`

  `startedFlow(LayoutContext context)`
    Starts a floating, absolute or static element.

  `void`

  `startedInline(LayoutContext context)`

  `void`

  `startedMarker(LayoutContext context)`

  `void`

  `startedPassThrough(LayoutContext context)`

  `void`

  `startedRootInline(LayoutContext context)`

  `void`

  `startedTable(LayoutContext layoutContext)`

  `void`

  `startedTableCaption(LayoutContext context)`

  `void`

  `startedTableCell(LayoutContext layoutContext)`

  `void`

  `startedTableColumn(LayoutContext context)`

  `void`

  `startedTableColumnGroup(LayoutContext context)`

  `void`

  `startedTableRow(LayoutContext layoutContext)`

  `void`

  `startedTableSection(LayoutContext layoutContext)`

  ### Methods inherited from class org.jfree.layouting.util.ChainingComponent

  `addCall`, `clear`, `invoke`, `replay`, `retrieveRecordedCalls`, `setRecordedCalls`

## Constructor Details

### ChainingRenderer

    public ChainingRenderer(Renderer renderer)

## Method Details

### addContent

    public void addContent(LayoutContext context,
                           ContentToken content)

> Specified by:
>   addContent in interface Renderer

### addPassThroughContent

    public void addPassThroughContent(LayoutContext context,
                                      ContentToken content)

> Specified by:
>   addPassThroughContent in interface Renderer

### finishedBlock

    public void finishedBlock()

> Specified by:
>   finishedBlock in interface Renderer

### finishedDocument

    public void finishedDocument()

> Specified by:
>   finishedDocument in interface Renderer

### finishedFlow

    public void finishedFlow()

> Specified by:
>   finishedFlow in interface Renderer

### finishedInline

    public void finishedInline()

> Specified by:
>   finishedInline in interface Renderer

### finishedMarker

    public void finishedMarker()
                throws NormalizationException

> Specified by:
>   finishedMarker in interface Renderer

### finishedPassThrough

    public void finishedPassThrough()

> Specified by:
>   finishedPassThrough in interface Renderer

### finishedRootInline

    public void finishedRootInline()
                throws NormalizationException

> Specified by:
>   finishedRootInline in interface Renderer

### finishedTable

    public void finishedTable()

> Specified by:
>   finishedTable in interface Renderer

### finishedTableCaption

    public void finishedTableCaption()
                throws NormalizationException

> Specified by:
>   finishedTableCaption in interface Renderer

### finishedTableCell

    public void finishedTableCell()

> Specified by:
>   finishedTableCell in interface Renderer

### finishedTableColumn

    public void finishedTableColumn()
                throws NormalizationException

> Specified by:
>   finishedTableColumn in interface Renderer

### finishedTableColumnGroup

    public void finishedTableColumnGroup()
                throws NormalizationException

> Specified by:
>   finishedTableColumnGroup in interface Renderer

### finishedTableRow

    public void finishedTableRow()

> Specified by:
>   finishedTableRow in interface Renderer

### finishedTableSection

    public void finishedTableSection()

> Specified by:
>   finishedTableSection in interface Renderer

### getRenderer

    public Renderer getRenderer()

### handlePageBreak

    public void handlePageBreak(PageContext pageContext)

> A call-back that informs the renderer, that a new page must be started. This closes the old page context and copies all pending content to the new context.

> This method is triggered by a call to 'LayoutProcess.pageBreakEncountered'
> Specified by:
>   handlePageBreak in interface Renderer
> Parameters:
>   `pageContext` -

### invoke

    protected void invoke(Object target,
                          int methodId,
                          Object parameters)
                throws Exception

> Overrides:
>   invoke in interface ChainingComponent

### saveState

    public State saveState()
                throws StateException

> Specified by:
>   saveState in interface StatefullComponent

### startedBlock

    public void startedBlock(LayoutContext context)

> Specified by:
>   startedBlock in interface Renderer

### startedDocument

    public void startedDocument(PageContext pageContext)

> Starts the document and initalizes the default page context.
> Specified by:
>   startedDocument in interface Renderer
> Parameters:
>   `pageContext` -

### startedFlow

    public void startedFlow(LayoutContext context)

> Starts a floating, absolute or static element. This establishes a new normal flow for the element.
> Specified by:
>   startedFlow in interface Renderer
> Parameters:
>   `context` -

### startedInline

    public void startedInline(LayoutContext context)

> Specified by:
>   startedInline in interface Renderer

### startedMarker

    public void startedMarker(LayoutContext context)
                throws NormalizationException

> Specified by:
>   startedMarker in interface Renderer

### startedPassThrough

    public void startedPassThrough(LayoutContext context)

> Specified by:
>   startedPassThrough in interface Renderer

### startedRootInline

    public void startedRootInline(LayoutContext context)
                throws NormalizationException

> Specified by:
>   startedRootInline in interface Renderer

### startedTable

    public void startedTable(LayoutContext layoutContext)

> Specified by:
>   startedTable in interface Renderer

### startedTableCaption

    public void startedTableCaption(LayoutContext context)
                throws NormalizationException

> Specified by:
>   startedTableCaption in interface Renderer

### startedTableCell

    public void startedTableCell(LayoutContext layoutContext)

> Specified by:
>   startedTableCell in interface Renderer

### startedTableColumn

    public void startedTableColumn(LayoutContext context)
                throws NormalizationException

> Specified by:
>   startedTableColumn in interface Renderer

### startedTableColumnGroup

    public void startedTableColumnGroup(LayoutContext context)
                throws NormalizationException

> Specified by:
>   startedTableColumnGroup in interface Renderer

### startedTableRow

    public void startedTableRow(LayoutContext layoutContext)

> Specified by:
>   startedTableRow in interface Renderer

### startedTableSection

    public void startedTableSection(LayoutContext layoutContext)

> Specified by:
>   startedTableSection in interface Renderer